Bug 116861 - Minimize Presentation default settings
Summary: Minimize Presentation default settings
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.2.0 target:6.1.0.2
Keywords: difficultyBeginner, easyHack, skillDesign, topicDesign
Depends on:
Blocks: ImpressDraw-Enhancements
  Show dependency treegraph
 
Reported: 2018-04-07 14:31 UTC by andreas_k
Modified: 2019-11-14 14:09 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Quality output (129.08 KB, image/jpeg)
2018-04-07 14:31 UTC, andreas_k
Details

Note You need to log in before you can comment on or make changes to this bug.
Description andreas_k 2018-04-07 14:31:43 UTC
Created attachment 141187 [details]
Quality output

I hate this big presentations. you add 5 images and the presentation is 15 mb large. but with default settings your output result (doesn't matter which setting) should be always ok. When the presentation is really to big, than the user can change the jpg setting manual.

Defaults for jpg compression:
70 Screen 
75 Presentation
80 Print

with this default settings you can guaranty a good compromise between size and quality.
Comment 1 Heiko Tietze 2018-04-07 15:05:08 UTC
Do you suggest to change Tools > Minimize Presentation.. (3rd step) from 75/150/300dpi depending on what has been selected on step 1 to 70/75/80dpi? Quite unusual values, IMHO. (=> WFM)
Comment 2 andreas_k 2018-04-07 15:08:13 UTC
I don't talk about resolution I talk about jpeg compression
Comment 3 Heiko Tietze 2018-04-07 15:19:43 UTC
(In reply to andreas_k from comment #2)
> I don't talk about resolution I talk about jpeg compression

Those are 25, 50, 75% today (still WFM). Tomaz, what's your take on this?
Comment 4 Tomaz Vajngerl 2018-04-09 02:44:13 UTC
Well the values are not percentual, so it is not 25% 50% 75% as the size/quality factor doesn't increase linearly so you can't say much from the values itself.

Anyway, value 25 JPEG compression will pretty much destroy your image (bye bye gradients), 50 is also too low. I would say that the most sensible values are between 60 - 90. Most people won't see any difference between 75-100, but the difference in size is big. 
All this also very much depends on the image itself. The assumption here is that the image is photo, where JPEG makes must sense. For screen images the the quality factor can get quite different (a lot of edges in the image) and the most quality killer here is the 4:2:0 subsampling, which we always use (it is possible to use 4:4:4 subsampling but we never do that).

So just for this profiles I would recommend to use a constant quality factor - maybe 75 or 80 for all uses. The biggest saver here is the downsampling of the image anyway. I tried a 8MB JPEG picture at 300DPI and 80 QF is already 1MB, at 150DPI we are already in 300kb range and 96DPI <200kb. I would say that's good enough for most people.
Comment 5 Heiko Tietze 2018-04-09 07:18:46 UTC
So let's go with the suggestion. Changing default values is likely an easyhack and code pointers shouldnt too hard to find.
Comment 6 Heiko Tietze 2018-04-09 07:23:08 UTC
The numbered values implies a percentage, which is wrong. So the better solution here is a slider with arbitrary values from 1 to 9 (and we assign internally 50-95 or so). But then it's not an easyhack anymore.
Comment 7 andreas_k 2018-04-09 07:40:39 UTC
I'm against a ruler cause the number is cmomon for jpeg pictures. All cameras use the quality number between 1 and 100.

https://en.wikipedia.org/wiki/JPEG

What's wrong is the % cause it's not a percentage so only quality will be enough.
Comment 8 andreas_k 2018-04-28 00:11:26 UTC
can we define better defaults, than we can close the bug and everybody will be fine.
Comment 9 andreas_k 2018-07-11 10:25:21 UTC
can someone add a codepointer than I can fix it.
Comment 10 Tomaz Vajngerl 2018-07-11 12:14:38 UTC
officecfg/registry/data/org/openoffice/Office/PresentationMinimizer.xcu
Comment 11 andreas_k 2018-07-11 16:34:47 UTC
but where are the default settings stored? jpeg compression: 50 should be change to 80.
Comment 12 Commit Notification 2018-07-11 18:08:56 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5442670e4c643ef476fe154df9a0d226b7252d3a

tdf#116861: better default settings for minimize Presentation

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 13 Commit Notification 2018-07-12 13:57:34 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "libreoffice-6-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=747dadd2f55b9181b2619a9b51cba7b5b849f476&h=libreoffice-6-1

tdf#116861: better default settings for minimize Presentation

It will be available in 6.1.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 14 Heiko Tietze 2018-07-20 10:13:45 UTC
Default is now 70,75, and 80 depending on the type. Would be good to add a release note.